## linux-backports-modules-2.6.32 2.6.32-48.50

=== debian/changelog ===
linux-backports-modules-2.6.32 (2.6.32-48.50) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Steve Conklin <sconklin@canonical.com>  Fri, 31 May 2013 13:33:27 -0500

linux-backports-modules-2.6.32 (2.6.32-47.49) lucid-proposed; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Mon, 06 May 2013 18:54:07 -0700

linux-backports-modules-2.6.32 (2.6.32-46.48) lucid-proposed; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Thu, 28 Feb 2013 15:16:37 -0800

=== debian/control ===
Source: linux-backports-modules-2.6.32
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.32-48-generic [i386 amd64], linux-headers-2.6.32-48-generic-pae [i386], linux-headers-2.6.32-48-lpia [lpia], linux-headers-2.6.32-48-preempt [amd64], linux-headers-2.6.32-48-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid-lbm.git

Package: linux-headers-lbm-2.6.32-48
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.32
 This package provides linux-ubuntu-modules header files for version 2.6.32, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-48/debian.README.gz for details

Package: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Replaces: linux-backports-modules-wireless-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64. It replaces the original package linux-backports-modules-wireless
 with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
 subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35, linux-backports-modules-compat-wireless-2.6.36, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.35-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.36-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.37-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.38-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.39-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-3.0.0-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-3.1-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-48-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-48-generic, linux-backports-modules-wireless-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-48-generic
Depends: linux-image-2.6.32-48-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-3.1-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-3.2-2.6.32-48-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:

## linux-backports-modules-2.6.32 2.6.32-74.77

=== updates/compat-wireless-3.2/Makefile ===
export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe
MADWIFI=$(shell $(MODPROBE) -l ath_pci)
OLD_IWL=$(shell $(MODPROBE) -l iwl4965)

DESTDIR?=

ifneq ($(KERNELRELEASE),)

NOSTDINC_FLAGS := -I$(M)/include/ \
	-include $(M)/include/linux/compat-2.6.h \
	$(CFLAGS)

obj-y := compat/

obj-$(CONFIG_COMPAT_RFKILL) += net/rfkill/

ifeq ($(BT),)
obj-$(CONFIG_COMPAT_WIRELESS) += net/wireless/ net/mac80211/
obj-$(CONFIG_COMPAT_WIRELESS_MODULES) += drivers/net/wireless/

obj-$(CONFIG_COMPAT_NET_USB_MODULES) += drivers/net/usb/

obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/atheros/
obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/broadcom/

obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/ssb/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/bcma/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/misc/eeprom/

ifeq ($(CONFIG_STAGING_EXCLUDE_BUILD),)
endif

endif

obj-$(CONFIG_COMPAT_BLUETOOTH) += net/bluetooth/
obj-$(CONFIG_COMPAT_BLUETOOTH_MODULES) += drivers/bluetooth/

else

export PWD :=	$(shell pwd)
CFLAGS += \
        -DCOMPAT_BASE_TREE="\"$(shell cat compat_base_tree)\"" \
        -DCOMPAT_BASE_TREE_VERSION="\"$(shell cat compat_base_tree_version)\"" \
        -DCOMPAT_PROJECT="\"Compat-wireless\"" \
        -DCOMPAT_VERSION="\"$(shell cat compat_version)\""

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/compat_version)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

bt: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) BT=TRUE modules
	@touch $@

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

btinstall: btuninstall bt-install-modules

bt-install-modules: bt
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) BT=TRUE \
		modules_install
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo
	@echo Now run:
	@echo
	@echo sudo make btunload:
	@echo
	@echo And then load the needed bluetooth modules. If unsure reboot.
	@echo

btuninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/bluetooth/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/bluetooth/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@/sbin/depmod -ae
	@echo
	@echo "Your old bluetooth subsystem modules were left intact:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo

btclean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) BT=TRUE clean
	@rm -f $(CREL_PRE)*

install: uninstall install-modules install-scripts

install-modules: modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@./scripts/update-initramfs

install-scripts:
	@# All the scripts we can use
	@mkdir -p $(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/modlib.sh	$(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	$(DESTDIR)/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	$(DESTDIR)/usr/sbin/
	@install scripts/b43enable	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-enable	$(DESTDIR)/usr/sbin/
	@install scripts/athload	$(DESTDIR)/usr/sbin/
	@install scripts/b43load	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-load	$(DESTDIR)/usr/sbin/
	@if [ ! -z "$(MADWIFI)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@if [ ! -z "$(OLD_IWL)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		/usr/sbin/iwl-enable iwlagn ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@# Mandrake doesn't have a depmod.d/ conf file to prefer
	@# the updates/ dir which is what we use so we add one for it
	@# (or any other distribution that doens't have this).
	@./scripts/check_depmod
	@# Udev stuff needed for the new compat_firmware_class.
	@./compat/scripts/compat_firmware_install
	@/sbin/depmod -a
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l rtlwifi
	@$(MODPROBE) -l rtl8192ce
	@$(MODPROBE) -l spectrum_cs
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l wl1251
	@$(MODPROBE) -l wl12xx
	@$(MODPROBE) -l zd1211rw
	@echo
	@echo "Currently detected ethernet subsystem modules:"
	@echo
	@$(MODPROBE) -l atl1
	@$(MODPROBE) -l atl2
	@$(MODPROBE) -l atl1e
	@$(MODPROBE) -l atl1c
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k           
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo 
	@echo Now run:
	@echo 
	@echo sudo make unload to unload all: wireless, bluetooth and ethernet modules
	@echo sudo make wlunload to unload wireless modules
	@echo sudo make btunload to unload bluetooth modules
	@echo
	@echo Run sudo modprobe 'driver-name' to load your desired driver. 
	@echo If unsure reboot.
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/compat/
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/rfkill/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/staging/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/atl*
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -a
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l rtlwifi
	@$(MODPROBE) -l rtl8192ce
	@$(MODPROBE) -l spectrum_cs
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l wl1251
	@$(MODPROBE) -l wl12xx
	@$(MODPROBE) -l zd1211rw
	@echo

=== updates/compat-wireless-3.3/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2x00/
obj-$(CONFIG_IPW2200) += ipw2x00/

obj-$(CONFIG_HERMES)		+= orinoco/

obj-$(CONFIG_AT76C50X_USB)      += at76c50x-usb.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_COMPAT_ZD1211RW)		+= zd1211rw/
obj-$(CONFIG_RTL8180)		+= rtl818x/
obj-$(CONFIG_RTL8187)		+= rtl818x/
obj-$(CONFIG_RTLWIFI)		+= rtlwifi/

obj-$(CONFIG_USB_NET_COMPAT_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CONFIG_LIBERTAS)		+= libertas/

obj-$(CONFIG_LIBERTAS_THINFIRM)	+= libertas_tf/

obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_MWL8K)	+= mwl8k.o

obj-$(CONFIG_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_IWLEGACY)	+= iwlegacy/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH_COMMON)	+= ath/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

obj-$(CONFIG_WL1251)	+= wl1251/
obj-$(CONFIG_WL12XX)	+= wl12xx/
obj-$(CONFIG_WL12XX_PLATFORM_DATA)	+= wl12xx/

obj-$(CONFIG_IWM)	+= iwmc3200wifi/

obj-$(CONFIG_MWIFIEX)	+= mwifiex/

obj-$(CONFIG_BRCMFMAC)	+= brcm80211/
obj-$(CONFIG_BRCMSMAC)	+= brcm80211/

=== updates/compat-wireless-2.6.38/drivers/staging/brcm80211/brcmfmac/Makefile ===
#
# Makefile fragment for Broadcom 802.11n Networking Device Driver
#
# Copyright (c) 2010 Broadcom Corporation
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

ccflags-y :=			\
	-DARP_OFFLOAD_SUPPORT	\
	-DBCMDBG		\
	-DBCMLXSDMMC		\
	-DBCMPLATFORM_BUS	\
	-DBCMSDIO		\
	-DBDC			\
	-DBRCM_FULLMAC		\
	-DDHD_DEBUG		\
	-DDHD_FIRSTREAD=64	\
	-DDHD_SCHED		\
	-DDHD_SDALIGN=64	\
	-DEMBEDDED_PLATFORM	\
	-DMAX_HDR_READ=64	\
	-DMMC_SDIO_ABORT	\
	-DPKT_FILTER_SUPPORT	\
	-DSHOW_EVENTS		\
	-DTOE			\
	-I$(obj)		\
	-I$(obj)/../include		\
	-I$(obj)/../util

DHDOFILES = dhd_linux.o ../util/linux_osl.o ../util/bcmutils.o dhd_common.o dhd_custom_gpio.o	\
	wl_iw.o wl_cfg80211.o ../util/siutils.o ../util/sbutils.o ../util/aiutils.o ../util/hndpmu.o ../util/bcmwifi.o dhd_sdio.o	\
	dhd_linux_sched.o dhd_cdc.o bcmsdh_sdmmc.o bcmsdh.o bcmsdh_linux.o	\
	bcmsdh_sdmmc_linux.o

obj-m += brcmfmac.o
brcmfmac-objs += $(DHDOFILES)

=== updates/compat-wireless-3.1/drivers/staging/brcm80211/brcmsmac/Makefile ===
#
# Makefile fragment for Broadcom 802.11n Networking Device Driver
#
# Copyright (c) 2010 Broadcom Corporation
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

ccflags-y :=				\
	-DWLC_HIGH				\
	-DWLC_LOW				\
	-DSTA					\
	-DWME					\
	-DWL11N					\
	-DDBAND					\
	-DBCMNVRAMR				\
	-I$(obj)				\
	-I$(obj)/phy				\
	-I$(obj)/../include

BRCMSMAC_OFILES := \
	mac80211_if.o \
	ucode_loader.o \
	alloc.o \
	ampdu.o \
	antsel.o \
	bmac.o \
	channel.o \
	main.o \
	phy_shim.o \
	pmu.o \
	rate.o \
	stf.o \
	aiutils.o \
	phy/phy_cmn.o \
	phy/phy_lcn.o \
	phy/phy_n.o \
	phy/phytbl_lcn.o \
	phy/phytbl_n.o \
	phy/phy_qmath.o \
	otp.o \
	srom.o \
	dma.o \
	nicpci.o

MODULEPFX := brcmsmac

obj-$(CONFIG_BRCMSMAC)	+= $(MODULEPFX).o
$(MODULEPFX)-objs	= $(BRCMSMAC_OFILES)

=== debian/changelog ===
linux-backports-modules-2.6.32 (2.6.32-74.77) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 28 Apr 2015 10:27:52 +0100

linux-backports-modules-2.6.32 (2.6.32-73.76) lucid; urgency=low

  [ Kamal Mostafa ]

  * [Packaging] force "dpkg-source -I -i" behavior

  [ Seth Forshee ]

  * Sart new release (and bump ABI)

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 09 Feb 2015 16:08:30 -0600

linux-backports-modules-2.6.32 (2.6.32-72.75) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 14 Jan 2015 14:19:32 -0600

linux-backports-modules-2.6.32 (2.6.32-71.73) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Luis Henriques <luis.henriques@canonical.com>  Thu, 18 Dec 2014 16:56:21 +0000

linux-backports-modules-2.6.32 (2.6.32-70.72) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 09 Dec 2014 11:22:14 +0000

linux-backports-modules-2.6.32 (2.6.32-69.71) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Mon, 24 Nov 2014 12:47:05 -0800

linux-backports-modules-2.6.32 (2.6.32-68.70) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Mon, 03 Nov 2014 08:13:20 -0800

linux-backports-modules-2.6.32 (2.6.32-67.69) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Joseph Salisbury <joseph.salisbury@canonical.com>  Mon, 22 Sep 2014 18:56:41 -0400

linux-backports-modules-2.6.32 (2.6.32-66.68) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Mon, 01 Sep 2014 11:27:40 -0700

linux-backports-modules-2.6.32 (2.6.32-65.67) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Mon, 11 Aug 2014 15:13:40 -0700

linux-backports-modules-2.6.32 (2.6.32-64.66) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 08 Jul 2014 10:30:41 +0100

linux-backports-modules-2.6.32 (2.6.32-63.65) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 30 Jun 2014 16:09:47 +0100

linux-backports-modules-2.6.32 (2.6.32-62.64) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Mon, 09 Jun 2014 08:38:20 -0700

linux-backports-modules-2.6.32 (2.6.32-61.63) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 21 May 2014 11:53:38 +0100

linux-backports-modules-2.6.32 (2.6.32-60.62) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Kamal Mostafa <kamal@canonical.com>  Wed, 07 May 2014 13:35:21 -0700

linux-backports-modules-2.6.32 (2.6.32-59.61) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Tue, 29 Apr 2014 06:17:32 -0700

linux-backports-modules-2.6.32 (2.6.32-58.60) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Tue, 01 Apr 2014 10:32:44 -0700

linux-backports-modules-2.6.32 (2.6.32-57.59) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Tue, 18 Feb 2014 16:55:17 -0800

linux-backports-modules-2.6.32 (2.6.32-56.58) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Mon, 06 Jan 2014 10:41:19 -0800

linux-backports-modules-2.6.32 (2.6.32-55.57) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Steve Conklin <sconklin@canonical.com>  Tue, 03 Dec 2013 11:51:40 -0600

linux-backports-modules-2.6.32 (2.6.32-54.56) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Steve Conklin <sconklin@canonical.com>  Tue, 12 Nov 2013 13:30:04 -0600

linux-backports-modules-2.6.32 (2.6.32-53.55) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Steve Conklin <sconklin@canonical.com>  Mon, 21 Oct 2013 14:10:59 -0500

linux-backports-modules-2.6.32 (2.6.32-52.54) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Wed, 11 Sep 2013 10:37:14 -0700

linux-backports-modules-2.6.32 (2.6.32-51.53) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Wed, 21 Aug 2013 12:34:36 -0700

linux-backports-modules-2.6.32 (2.6.32-50.52) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Brad Figg <brad.figg@canonical.com>  Tue, 09 Jul 2013 12:43:19 -0700

linux-backports-modules-2.6.32 (2.6.32-49.51) lucid; urgency=low

  * Start new release (and bump ABI)

 -- Steve Conklin <sconklin@canonical.com>  Thu, 20 Jun 2013 16:14:20 -0500

=== debian/control ===
Source: linux-backports-modules-2.6.32
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.32-74-generic [i386 amd64], linux-headers-2.6.32-74-generic-pae [i386], linux-headers-2.6.32-74-lpia [lpia], linux-headers-2.6.32-74-preempt [amd64], linux-headers-2.6.32-74-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid-lbm.git

Package: linux-headers-lbm-2.6.32-74
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.32
 This package provides linux-ubuntu-modules header files for version 2.6.32, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-74/debian.README.gz for details

Package: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Replaces: linux-backports-modules-wireless-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64. It replaces the original package linux-backports-modules-wireless
 with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
 subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35, linux-backports-modules-compat-wireless-2.6.36, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.35-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.36-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.37-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.38-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.39-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-3.0.0-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-3.1-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.32-74-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.0.0-2.6.32-74-generic, linux-backports-modules-wireless-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic, linux-backports-modules-compat-wireless-3.3-2.6.32-74-generic
Depends: linux-image-2.6.32-74-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-3.1-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-3.2-2.6.32-74-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
